[NumPy-Tickets] [NumPy] #1412: Build scipy on IBM AIX with --fcompiler=gnu95

NumPy Trac numpy-tickets@scipy....
Thu Feb 25 12:53:11 CST 2010


#1412: Build scipy on IBM AIX with --fcompiler=gnu95
------------------------+---------------------------------------------------
 Reporter:  A_LARAS     |       Owner:  somebody
     Type:  defect      |      Status:  new     
 Priority:  high        |   Milestone:  1.4.0   
Component:  numpy.core  |     Version:  1.4.0   
 Keywords:  AIX         |  
------------------------+---------------------------------------------------
 Hi There[[BR]]

 I'm trying to build scipy from the trunk (latest release):[[BR]]
 python setup.py config_fc --fcompiler=gnu95 install
 --prefix=/usr/local/python[[BR]]
 but stuck with the following error :[[BR]]
 C compiler: c++_r -qlanglvl=extc89 -DNDEBUG -O[[BR]]

 compile options: '-Iscipy/interpolate/src
 -I/usr/local/python/lib/python2.4/site-packages/numpy/core/include
 -I/usr/local/python/include/python2.4 -c'[[BR]]
 c++_r: scipy/interpolate/src/_interpolate.cpp[[BR]]
 sh: c++_r:  not found.[[BR]]
 sh: c++_r:  not found.[[BR]]
 error: Command "c++_r -qlanglvl=extc89 -DNDEBUG -O -Iscipy/interpolate/src
 -I/usr/local/python/lib/python2.4/site-packages/numpy/core/include
 -I/usr/local/python/include/python2.4 -c
 scipy/interpolate/src/_interpolate.cpp -o
 build/temp.aix-5.3-2.4/scipy/interpolate/src/_interpolate.o" failed with
 exit status 127[[BR]]

 whith export CXX="c++", I hit another error (syntax error)[[BR]]
 c++ c++ -qlanglvl=extc89
 -bI:/usr/local/Python.2.4/lib/python2.4/config/python.exp
 build/temp.aix-5.3-2.4/scipy/interpolate/src/_interpolate.o
 -Lbuild/temp.aix-5.3-2.4 -o
 build/lib.aix-5.3-2.4/scipy/interpolate/_interpolate.so[[BR]]
 c++: c++: No such file or directory[[BR]]
 c++: unrecognized option '-qlanglvl=extc89'[[BR]]
 c++: unrecognized option
 '-bI:/usr/local/Python.2.4/lib/python2.4/config/python.exp'[[BR]]
 error: Command "c++ c++ -qlanglvl=extc89
 -bI:/usr/local/Python.2.4/lib/python2.4/config/python.exp
 build/temp.aix-5.3-2.4/scipy/interpolate/src/_interpolate.o
 -Lbuild/temp.aix-5.3-2.4 -o
 build/lib.aix-5.3-2.4/scipy/interpolate/_interpolate.so" failed with exit
 status 1[[BR]]


 the second "c++" is passed as an options to CXX compiler, and I don't know
 how to get rid of this.[[BR]]



 OS: AIX 5.3  64 bits[[BR]]
 CC: gcc (GCC) 4.2.4[[BR]]
 CXX: c++ (GCC) 4.2.4[[BR]]
 Python: Python 2.4 (#2, Dec 20 2004, 10:36:59) [C] on aix4[[BR]]
 Numpy: 1.4[[BR]]

-- 
Ticket URL: <http://projects.scipy.org/numpy/ticket/1412>
NumPy <http://projects.scipy.org/numpy>
My example project


More information about the NumPy-Tickets mailing list